List Stack Trace Directory Prefixes for Code Mapping Autocomplete

GET /api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/code-mapping-prefixes/stack/

Return ranked directory prefixes from stack traces and existing mappings to help configure a code mapping.

Path Parameters

organization_id_or_slug (string)
REQUIRED

The ID or slug of the organization the resource belongs to.

project_id_or_slug (string)
REQUIRED

The ID or slug of the project the resource belongs to. Project slugs are unique within each organization.

Scopes

<auth_token> requires one of the following scopes:
  • project:admin
  • project:read
  • project:write
Copied
curl https://sentry.io/api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/code-mapping-prefixes/stack/ \
 -H 'Authorization: Bearer <auth_token>'
RESPONSESCHEMA
Copied
.
Was this helpful?